Bug 26985 - Remove code for "Upcoming events" from codebase as not implemented
Summary: Remove code for "Upcoming events" from codebase as not implemented
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 2434 5889
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-10 09:48 UTC by Katrin Fischer
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented (3.52 KB, patch)
2021-01-13 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented (3.52 KB, patch)
2021-01-13 23:37 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented (3.57 KB, patch)
2021-01-17 16:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-11-10 09:48:12 UTC
This is a translation find related to the messaging preferences. Will probably need a bit of a better description later.
Comment 1 Owen Leonard 2021-01-13 12:49:17 UTC
Created attachment 115113 [details] [review]
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented

This patch removes references to an unimplemented feature for "Upcoming
events" notices. As far as I can tell the templates are the only files
affected.

To test, apply the patch and verify that no instances of "Upcoming
events" or "Upcoming_events" are found in the codebase.
Comment 2 Lucas Gass 2021-01-13 23:37:37 UTC
Created attachment 115119 [details] [review]
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented

This patch removes references to an unimplemented feature for "Upcoming
events" notices. As far as I can tell the templates are the only files
affected.

To test, apply the patch and verify that no instances of "Upcoming
events" or "Upcoming_events" are found in the codebase.
Comment 3 Lucas Gass 2021-01-13 23:39:27 UTC
applied patch and greped for instances of "Upcoming
events" or "Upcoming_events", outside of po files I found none
Comment 4 Katrin Fischer 2021-01-17 16:05:56 UTC
Created attachment 115224 [details] [review]
Bug 26985: Remove code for "Upcoming events" from codebase as not implemented

This patch removes references to an unimplemented feature for "Upcoming
events" notices. As far as I can tell the templates are the only files
affected.

To test, apply the patch and verify that no instances of "Upcoming
events" or "Upcoming_events" are found in the codebase.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-01-17 16:06:15 UTC
I recently stumbled on this code too and really glad to see it gone!
Comment 6 Jonathan Druart 2021-01-20 09:08:47 UTC
commit ff62346583d395c83ec05eb183ab55e27786504e

    bug 2434 remove upcoming events for all languages
    
    this patch removed the upcoming events messaging option
    and the upcoming event message from the system for all
    languages since it was never implemented and confuses
    librarians and patrons alike
Comment 7 Jonathan Druart 2021-01-20 09:10:46 UTC
And added back by

commit 6282f652b2897ded2319a4f1fce97cac7f45ca62                                                                                                                                                                    
                                                                                                                                                                                                        
    Bug 5889: Messages name in english for notifications on public interface.
Comment 8 Jonathan Druart 2021-01-20 12:51:10 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-01-25 15:16:35 UTC
I prefer not backport to avoid translation work on 20.11.x